Bug 494858 - eu-unstrip --core=<coredump> -n ends with SIGSEGV
eu-unstrip --core=<coredump> -n ends with SIGSEGV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 08:31 EDT by Zdenek Prikryl
Modified: 2009-05-20 19:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.141-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 23:56:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full backtrace (5.25 KB, application/octet-stream)
2009-04-08 08:32 EDT, Zdenek Prikryl
no flags Details
full backtrace (5.26 KB, application/octet-stream)
2009-04-09 03:48 EDT, Zdenek Prikryl
no flags Details

  None (edit)
Description Zdenek Prikryl 2009-04-08 08:31:31 EDT
Description of problem:
When you try to get list of build ids and other information available with option -n, eu-unstrip ends with SIGSEGV.

Version-Release number of selected component (if applicable):
elfutils-0.140-1.fc10

Steps to Reproduce:
1. run firefix (or other bigger app)
2. kill -s SIGSEGV <pid of firefox>
3. eu-unstrip --core=<coredump> -n
  
Actual results:
eu-unstrip ends with SIGSEGV

Expected results:
List of build ids etc.

Additional info:
In the attachment there is full backtrace.
Comment 1 Zdenek Prikryl 2009-04-08 08:32:37 EDT
Created attachment 338700 [details]
full backtrace
Comment 2 Roland McGrath 2009-04-08 15:42:35 EDT
Can you make available a particular core file that elicits the crash?
Comment 3 Zdenek Prikryl 2009-04-09 03:47:23 EDT
Unfortunately I deleted it. But I created new one with same result. I attached new backtrace.
Comment 4 Zdenek Prikryl 2009-04-09 03:48:02 EDT
Created attachment 338876 [details]
full backtrace
Comment 6 Zdenek Prikryl 2009-04-09 04:24:05 EDT
same problem occurs with xclock and other x apps.
Comment 8 Roland McGrath 2009-04-14 05:38:58 EDT
Fixed upstream in commit fa25326.
Comment 9 Fedora Update System 2009-04-24 18:46:43 EDT
elfutils-0.141-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/elfutils-0.141-1.fc9
Comment 10 Fedora Update System 2009-04-24 18:46:56 EDT
elfutils-0.141-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/elfutils-0.141-1.fc10
Comment 11 Fedora Update System 2009-04-27 17:31:47 EDT
elfutils-0.141-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3994
Comment 12 Fedora Update System 2009-04-27 17:35:49 EDT
elfutils-0.141-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update elfutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4018
Comment 13 Fedora Update System 2009-05-08 23:56:03 EDT
elfutils-0.141-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-09 00:20:15 EDT
elfutils-0.141-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-05-19 17:58:35 EDT
elfutils-0.141-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/elfutils-0.141-1.fc11
Comment 16 Fedora Update System 2009-05-20 19:53:32 EDT
elfutils-0.141-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.